# Endpoints

- [/advanced](https://dadocs.rickyjs.xyz/endpoints/advanced.md): Complete multiple requests in one!
- [/client](https://dadocs.rickyjs.xyz/endpoints/client.md): Retrieves information of the client (bot) user
- [/emojis](https://dadocs.rickyjs.xyz/endpoints/client/emojis.md): Returns information from the applications emoji or emoji list
- [/set](https://dadocs.rickyjs.xyz/endpoints/client/set.md): Modify the current Application/User (Previously /setbot)
- [/db](https://dadocs.rickyjs.xyz/endpoints/db.md): Custom Database functionality for dashboards or other neat features!
- [/delete](https://dadocs.rickyjs.xyz/endpoints/db/delete.md): Delete a specified variable from your database
- [/deleteAll](https://dadocs.rickyjs.xyz/endpoints/db/deleteall.md): Delete all variables matching a query OR wipe your Datebase
- [/get](https://dadocs.rickyjs.xyz/endpoints/db/get.md): Get a specified variable from your database
- [/getAll](https://dadocs.rickyjs.xyz/endpoints/db/getall.md): Retrieve all variables in your database
- [/set](https://dadocs.rickyjs.xyz/endpoints/db/set.md): Creates or edits a variable in your database
- [/decode](https://dadocs.rickyjs.xyz/endpoints/decode.md)
- [/emoji-info](https://dadocs.rickyjs.xyz/endpoints/emoji-info.md)
- [/encode](https://dadocs.rickyjs.xyz/endpoints/encode.md)
- [/font](https://dadocs.rickyjs.xyz/endpoints/font.md): Convert your text into different font.
- [/foreach](https://dadocs.rickyjs.xyz/endpoints/foreach.md): Does a ForEach loop on Arrays to retrieve certain data
- [/guild](https://dadocs.rickyjs.xyz/endpoints/guild.md): Retrieves information of a given guild OR maps guilds
- [/auditlog](https://dadocs.rickyjs.xyz/endpoints/guild/auditlog.md): Returns up-to 100 recent events from the guild audit log
- [/bans](https://dadocs.rickyjs.xyz/endpoints/guild/bans.md): Retrieves information of a given ban or ban list
- [/boosters](https://dadocs.rickyjs.xyz/endpoints/guild/boosters.md): Retrieves a list of boosters in a guild
- [/channels](https://dadocs.rickyjs.xyz/endpoints/guild/channels.md): Retrieves information of a given channel or channel list
- [/emojis](https://dadocs.rickyjs.xyz/endpoints/guild/emojis.md): Retrieves information of a given emoji or emoji list
- [/emoji-delete](https://dadocs.rickyjs.xyz/endpoints/guild/emoji-delete.md): Deletes an emoji from the provided guild
- [/event](https://dadocs.rickyjs.xyz/endpoints/guild/event.md): Retrieves information of a given event or event list
- [/create](https://dadocs.rickyjs.xyz/endpoints/guild/event/create.md): Create an event for a guild
- [/delete](https://dadocs.rickyjs.xyz/endpoints/guild/event/delete.md): Delete a specific event from the guild
- [/users](https://dadocs.rickyjs.xyz/endpoints/guild/event/users.md): List the users interested in the specified event
- [/modify](https://dadocs.rickyjs.xyz/endpoints/guild/event/modify.md): Modify a specific event from the guild
- [/invite](https://dadocs.rickyjs.xyz/endpoints/guild/invite.md): Retrieves information of a given invite or invite list
- [/members](https://dadocs.rickyjs.xyz/endpoints/guild/members.md): Retrieves information of a given member or member list
- [/massrole](https://dadocs.rickyjs.xyz/endpoints/guild/massrole.md): Add/Remove role(s) from all members of a guild
- [/permissions](https://dadocs.rickyjs.xyz/endpoints/guild/permissions.md): Returns array of permissions for either a Channel or Role resource
- [/prune](https://dadocs.rickyjs.xyz/endpoints/guild/prune.md): Prunes x amount of members from the provided guild
- [/rolememberlist](https://dadocs.rickyjs.xyz/endpoints/guild/rolememberlist.md)
- [/roles](https://dadocs.rickyjs.xyz/endpoints/guild/roles.md): Retrieves information of a given role or role list
- [/slash](https://dadocs.rickyjs.xyz/endpoints/guild/slash.md): Retrieves information of a given slash cmd or slash cmd list
- [/stickers](https://dadocs.rickyjs.xyz/endpoints/guild/stickers.md): Retrieves information of a given sticker or sticker list
- [/voice/change](https://dadocs.rickyjs.xyz/endpoints/guild/voice-change.md): Modifies a user voice state in a guild voice channel
- [/webhooks](https://dadocs.rickyjs.xyz/endpoints/guild/webhooks.md): Returns information on either all guild webhooks or webhook in a specified channel.
- [/map](https://dadocs.rickyjs.xyz/endpoints/map.md): Maps through an array to find a certain identifier
- [/messages](https://dadocs.rickyjs.xyz/endpoints/messages.md): Retrieves information of a given message OR maps messages of a channel
- [/reaction](https://dadocs.rickyjs.xyz/endpoints/reaction.md): Retrieves all or a specific emoji reaction(s) from a message
- [/add](https://dadocs.rickyjs.xyz/endpoints/reaction/add.md): Adds a specific emoji reaction to a message
- [/delete](https://dadocs.rickyjs.xyz/endpoints/reaction/delete.md): Deletes all or a specific emoji reaction(s) from a message
- [/poll](https://dadocs.rickyjs.xyz/endpoints/poll.md)
- [/create](https://dadocs.rickyjs.xyz/endpoints/poll/create.md)
- [/repeat](https://dadocs.rickyjs.xyz/endpoints/repeat.md)
- [/slash](https://dadocs.rickyjs.xyz/endpoints/slash.md): Retrieves information of global slash cmd or cmd list
- [/user](https://dadocs.rickyjs.xyz/endpoints/user.md): Retrieves information of a given user


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
